Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 23 Dec 2021 11:11:16 +0000

Hi Sarah Awad,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Dear Team 

I clearly told this is the mistake happened from LAnd mark deliveryboys .. They dont know how to read the address properls.. Takae action against them . 
•         0543292089
      0539297036
•         0582457835This delivery boy kept in his hand my parcel for 4 days
•         0568114425

.My address is very clear. 

Legend Tower King Fahad Branch Road Al Olaya, Riyadh 12313 – KSA..

And to be frank Centerpoint will not give any refund ...They are another big cheaters.

So I need my order today itself.

Dear Team my case is not resolved until I get my order in my hand.
I need my order no: 6373977951Landmark Tracking Number FP1212211000472 to my below location before 5 pm today
Since 12th of December the landmark office boys are contacting me and all delivery boys are saying tomorrow another deliver boy will deliver. My address is very clear. I don’t understand why landmark people are recruiting the delivery boys those who cannot read the address in English.
 Very bad delivery service from Landmark. I am really fed up and I am calling every day to CenterPoint customer care to get my delivery.  
The below drivers contacted me and behave very rudely and keep on saying that they are not belongs the area to me .Then why they took my parcel and calling me, if they cannot deliver me.
 
The below Contact number of delivery boys are very rude and they don’t know the geographical area

•         0543292089
           0539297036
•         0582457835This delivery boy kept in his hand my parcel for 4 days
•         0568114425

 
But no response yet happened.
 
I need my order Order no: 6373977951Landmark Tracking Number FP1212211000472 to my below location before 5 pm today
Legend Tower King Fahad Branch Road Al Olaya, Riyadh 12313 – KSA..
 
Thanks and Regards
Smitha Babu
+966565749012 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3654659